Batch Upload API

Table of Contents

  1. Overview
  2. Getting Started
  3. Authentication
    1. Token Generation

Overview

The Batch Upload API enables corporates to seamlessly integrate their applications with the platform. Through this integration, corporates can initiate and manage bulk payment schedules, including salary payments, vendor payments, and other bulk disbursements, directly from their systems.

Once generated, the payment schedule is transmitted to Autopay via the API for processing. As part of the integration and go-live process, each corporate will be provided with the required production credentials to facilitate secure access to the live environment.



Getting Started

Prerequisites

Before integrating, ensure you have your:

  • Test Credentials

Default Test Credentials

clientUniqueIDCLN4402776026
passwordPassword@123

Base URL

EnvironmentBase URL
Sandboxhttps://batch-upload.uat.isw.la/api

Authentication

All API requests require a Bearer Access Token for authentication. Please find below the token generation request. Upon successful authentication, the Bearer Access Token will be returned in the response body and should be included in the Authorization of all subsequent API requests.

Token Generation

Request:

curl --location 'https://batch-upload.uat.isw.la/api/Auth/token?clientUniqueID=CLN4402776026&password=Password%40123' \
--header 'Accept: text/plain'

Response:

{
    "status": true,
    "responsecode": "00",
    "remark": "Completed Successfully",
    "transRef": "AUT20261028000000003065",
    "responseMessage": {
        "sessionID": "SID11251110995F45479",
        "dateGenerated": "2026-10-28 06:28",
        "expireAt": "2026-10-29 06:28",
        "expireEpochDate": 1793255319630,
        "sessionPeriod": 1440,
        "bearerToken": "U0lEMTEyNTExMTA5OTVGNDU0Nzk6ZmJoR"
    }
}

Support

For technical support or integration assistance and go-live:


Did this page help you?